49 lines
1.5 KiB
Diff
49 lines
1.5 KiB
Diff
# HG changeset patch
|
|
# User Keir Fraser <keir.fraser@citrix.com>
|
|
# Date 1200582857 0
|
|
# Node ID 68673ad57302abd57702652877457e84e2284416
|
|
# Parent 33dcf04d77152fe7086ceb1e89218e1e703d862d
|
|
network scripts: SUSE has sensible use of ifup nowadays
|
|
|
|
While wading through the patches made to Xen by OpenSUSE in their
|
|
[s]rpm, I found that they have removed various special casing for ifup
|
|
on ther distribution.
|
|
|
|
Signed-off-by: Ian Jackson <ian.jackson@eu.citrix.com>
|
|
|
|
Index: xen-3.2-testing/tools/examples/xen-network-common.sh
|
|
===================================================================
|
|
--- xen-3.2-testing.orig/tools/examples/xen-network-common.sh
|
|
+++ xen-3.2-testing/tools/examples/xen-network-common.sh
|
|
@@ -16,11 +16,6 @@
|
|
#
|
|
|
|
|
|
-# On SuSE it is necessary to run a command before transfering addresses and
|
|
-# routes from the physical interface to the virtual. This command creates a
|
|
-# variable $HWD_CONFIG_0 that specifies the appropriate configuration for
|
|
-# ifup.
|
|
-
|
|
# Gentoo doesn't have ifup/ifdown, so we define appropriate alternatives.
|
|
|
|
# Other platforms just use ifup / ifdown directly.
|
|
@@ -32,17 +27,7 @@
|
|
# that the virtual device will take once the physical device has
|
|
# been renamed.
|
|
|
|
-if [ -e /etc/SuSE-release ]
|
|
-then
|
|
- preiftransfer()
|
|
- {
|
|
- eval `/sbin/getcfg -d /etc/sysconfig/network/ -f ifcfg- -- $1`
|
|
- }
|
|
- ifup()
|
|
- {
|
|
- /sbin/ifup ${HWD_CONFIG_0} $1
|
|
- }
|
|
-elif ! which ifup >/dev/null 2>/dev/null
|
|
+if ! which ifup >/dev/null 2>/dev/null
|
|
then
|
|
preiftransfer()
|
|
{
|